@import 'TruckSimulator.Client.bundle.scp.css';

/* _content/TruckSimulator/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-4596c2vc9v] {
    position: relative;
    display: flex;
    flex-direction: column;
}

.content[b-4596c2vc9v] {
    display: flex;
    flex-direction: column;
    width: auto;

}

main[b-4596c2vc9v] {
    flex: 1;
}

.sidebar[b-4596c2vc9v] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-4596c2vc9v] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;

    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-4596c2vc9v]  a, .top-row[b-4596c2vc9v]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-4596c2vc9v]  a:hover, .top-row[b-4596c2vc9v]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-4596c2vc9v]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-4596c2vc9v] {
        justify-content: space-between;
    }

    .top-row[b-4596c2vc9v]  a, .top-row[b-4596c2vc9v]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-4596c2vc9v] {
        flex-direction: row;
    }

    .sidebar[b-4596c2vc9v] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-4596c2vc9v] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-4596c2vc9v]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-4596c2vc9v], article[b-4596c2vc9v] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-4596c2vc9v] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-4596c2vc9v] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/TruckSimulator/Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-1a5i0gplfg] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}
.truck[b-1a5i0gplfg] {
    background-image: url('data:image/svg+xml,<svg id="fi_5627369" height="512" viewBox="0 0 522 230" width="512" xmlns="http://www.w3.org/2000/svg"><g id="Layer_42"><path d="m519.9 112.3-5.7-10.3c-.5-.8-.8-1.7-.9-2.7l-4.7-54.7v-1.7c-.8-8-7-14.4-15-15.3l-95.7-10.9c-9.3-1-17.6 5.6-18.7 14.9-.1.6-.1 1.3-.1 1.9v120.4h-4.4v-145.2c0-4.8-3.8-8.6-8.6-8.7h-357.4c-4.8 0-8.7 3.9-8.7 8.7v146.9c0 3.7 2.3 7 5.8 8.2v18.2c0 8.4 5.1 16 12.8 19.3 2.5 18.3 19.4 31.1 37.7 28.6 14.3-2 25.7-12.8 28.4-26.9h4.2c3.5 18.2 21.1 30 39.3 26.5 13.7-2.7 24.3-13.5 26.6-27.2 9.3-2.4 15.8-10.7 15.8-20.3v-17.7h44.3v17.7c0 9.8 6.8 18.3 16.4 20.5 3.2 18.2 20.6 30.4 38.8 27.2 13.7-2.4 24.5-13 27.1-26.7h4.3c3.5 18.2 21 30.1 39.2 26.6 13.5-2.6 24-13.1 26.6-26.6h56.5c3.5 18.2 21 30.1 39.2 26.6 13.5-2.6 24-13.1 26.6-26.6h15.4c9.3 0 16.9-7.6 16.9-16.9v-65.6c0-2.9-.7-5.7-2-8.2zm-17.5-23h-71v-34.7h68l1.8 21.1zm-413.9 103.7h-3.4c-1.4-13.5-10.8-24.9-23.9-28.7h51.2c-13.1 3.8-22.5 15.2-23.9 28.7zm-72.7-28.7h26.5c-11.9 3.5-20.8 13.2-23.4 25.3-2-2-3.1-4.8-3.1-7.6zm36 55.7c-10.5 0-19.7-6.9-22.6-17-.6-2.1-1-4.4-1-6.6 0-1.1.1-2.3.3-3.4 1.9-12.8 13.8-21.7 26.7-19.8 10.3 1.5 18.3 9.6 19.8 19.8.2 1.1.3 2.3.3 3.4 0 2.2-.3 4.5-.9 6.6-2.9 10.1-12.1 17-22.6 17zm70 0c-10.5 0-19.7-6.9-22.6-17-.6-2.1-.9-4.4-.9-6.6 0-1.1.1-2.3.2-3.4 2.1-12.9 14.2-21.6 27.1-19.5 10.1 1.6 17.9 9.5 19.5 19.5.2 1.1.3 2.3.3 3.4 0 2.2-.4 4.5-1 6.6-2.9 10.1-12.1 17-22.6 17zm38.8-38c0 4-2.2 7.6-5.6 9.6-1.9-13-11.1-23.6-23.7-27.3h29.3zm10-27.7v-.4h-160.6v-143.9h354.7v143.9h-149.8v.4zm130.4 38.7h-3.3c-1.4-13.5-10.8-24.9-23.9-28.7h51.1c-13 3.9-22.4 15.2-23.9 28.7zm-76.1-11v-17.7h30c-12.7 3.7-22 14.5-23.8 27.6-3.8-1.8-6.2-5.7-6.2-9.9zm39.4 38c-10.5 0-19.7-6.9-22.6-17-.6-2.1-.9-4.4-.9-6.6 0-1.1.1-2.3.3-3.4 1.9-12.8 13.8-21.7 26.7-19.8 10.3 1.5 18.3 9.6 19.8 19.8.2 1.1.3 2.3.3 3.4 0 2.2-.4 4.5-1 6.6-2.9 10.1-12.1 17-22.6 17zm70.1 0c-10.5 0-19.7-6.9-22.6-17-.6-2.1-.9-4.4-.9-6.6 0-1.1.1-2.3.2-3.4 2.1-12.9 14.2-21.6 27.1-19.5 10.1 1.6 17.9 9.5 19.5 19.5.1 1.1.2 2.3.2 3.4 0 2.2-.3 4.5-.9 6.6-2.9 10.1-12.1 17-22.6 17zm33.4-27c-1.4-13.5-10.8-24.9-23.9-28.7h22.2c.8 0 1.6-.2 2.4-.4h10.6v22.2c0 2.4.5 4.7 1.5 6.9zm88.9 27c-10.5 0-19.7-6.9-22.6-17-.6-2.1-.9-4.4-.9-6.6 0-1.1.1-2.3.2-3.4 2.1-12.9 14.2-21.6 27.1-19.5 10.1 1.6 17.9 9.5 19.5 19.5.2 1.1.2 2.3.2 3.4 0 2.2-.3 4.5-.9 6.6-2.9 10.1-12.1 17-22.6 17zm55.2-33.9c0 3.8-3.1 6.9-6.9 6.9h-14.9c-1.7-18.4-18.1-31.9-36.5-30.2-16 1.5-28.7 14.2-30.2 30.2h-27.4c-1.9 0-3.7-.8-5-2.2-1.2-1.3-1.9-2.9-1.9-4.7v-152.6c0-2 .8-3.9 2.3-5.2 1.3-1.1 2.9-1.7 4.6-1.7h.8l95.6 10.9c3.3.4 5.8 3 6.1 6.3v.8h-70.2c-3.8 0-6.9 3.1-6.9 6.9v40.8c-.1 3.8 3 6.9 6.8 7h.1 75v.8c.2 2.3.9 4.6 2 6.7l5.7 10.4c.6 1 .9 2.1.9 3.3z"></path><path d="m321 19.7h13.2v119.6h-13.2z"></path><path d="m278.9 19.7h13.2v119.6h-13.2z"></path><path d="m236.8 19.7h13.2v119.6h-13.2z"></path><path d="m194.8 19.7h13.2v119.6h-13.2z"></path><path d="m152.7 19.7h13.2v119.6h-13.2z"></path><path d="m110.6 19.7h13.2v119.6h-13.2z"></path><path d="m68.5 19.7h13.2v119.6h-13.2z"></path><path d="m26.4 19.7h13.2v119.6h-13.2z"></path></g></svg>');
}
.navbar-toggler:checked[b-1a5i0gplfg] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-1a5i0gplfg] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-1a5i0gplfg] {
    font-size: 1.1rem;
}

.bi[b-1a5i0gplfg] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-1a5i0gplfg] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-1a5i0gplfg] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-1a5i0gplfg] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-1a5i0gplfg] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-1a5i0gplfg] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-1a5i0gplfg] {
        padding-bottom: 1rem;
    }

    .nav-item[b-1a5i0gplfg]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-1a5i0gplfg]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-1a5i0gplfg]  .nav-link:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-1a5i0gplfg] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-1a5i0gplfg] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-1a5i0gplfg] {
        display: none;
    }

    .nav-scrollable[b-1a5i0gplfg] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
